### Method

# Aravis Device create_chunk_parser

since: 0.4.0

#### Declaration [src]

    ArvChunkParser*
    arv_device_create_chunk_parser (
      ArvDevice* device
    )

#### Description [src]

Create a `ArvChunkParser` object, to be used for chunk data extraction from `ArvBuffer`.

Available since: 0.4.0

#### Return value

Type: `ArvChunkParser`

A new `ArvChunkParser` object, NULL on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.